Loading...
Searching...
No Matches
BALL::SideChainPlacementProcessor::Option Struct Reference

Option names. More...

`#include <BALL/STRUCTURE/sideChainPlacementProcessor.h>`

## Static Public Attributes

static const char * | METHOD
static const char * | SCWRL_BINARY_PATH
static const char * | SCWRL_INPUT_FILE
static const char * | SCWRL_SEQUENCE_FILE
static const char * | SCWRL_OUTPUT_FILE
static const char * | MUTATE_SELECTED_SIDE_CHAINS

## Detailed Description

Option names.

Definition at line 55 of file sideChainPlacementProcessor.h.

## Member Data Documentation

## METHOD

const char* BALL::SideChainPlacementProcessor::Option::METHOD

static

technique to compute the side chain placement

Definition at line 59 of file sideChainPlacementProcessor.h.

## MUTATE_SELECTED_SIDE_CHAINS

const char* BALL::SideChainPlacementProcessor::Option::MUTATE_SELECTED_SIDE_CHAINS

static

mutate and compute side chain positions for selected amino acids

Definition at line 94 of file sideChainPlacementProcessor.h.

## SCWRL_BINARY_PATH

const char* BALL::SideChainPlacementProcessor::Option::SCWRL_BINARY_PATH

static

the path to the scwrl binary

Definition at line 63 of file sideChainPlacementProcessor.h.

## SCWRL_INPUT_FILE

const char* BALL::SideChainPlacementProcessor::Option::SCWRL_INPUT_FILE

static

An optional input file name for Scwrl.

If this is set to "" (default), we will use a temporary file that is cleaned after the processor has finished.

Definition at line 71 of file sideChainPlacementProcessor.h.

## SCWRL_OUTPUT_FILE

const char* BALL::SideChainPlacementProcessor::Option::SCWRL_OUTPUT_FILE

static

An optional file name for the Scwrl output.

If this is set to "" (default), we will use a temporary file that is cleaned after the processor has finished and that is created by Scwrl itself.

If this is set to something else, we skip the Scwrl execution and read in this file directly.

Definition at line 90 of file sideChainPlacementProcessor.h.

## SCWRL_SEQUENCE_FILE

const char* BALL::SideChainPlacementProcessor::Option::SCWRL_SEQUENCE_FILE

static

An optional input sequence file name for Scwrl.

If this is set to "" (default), we will use a temporary file that is cleaned after the processor has finished.

Definition at line 79 of file sideChainPlacementProcessor.h.